diff --git a/lang/cat.l b/lang/cat.l
index dc074e12a..461284cf0 100644
--- a/lang/cat.l
+++ b/lang/cat.l
@@ -3006,6 +3006,10 @@ OPER_MODULE_REMOVE_FAIL
 	Unable to remove module %s
 OPER_MODULE_NO_UNLOAD
 	This module can not be unloaded.
+OPER_MODULE_ALREADY_LOADED
+	Module %s is already loaded.
+OPER_MODULE_ISNT_LOADED
+	Module %s isn't loaded.
 OPER_MODULE_LOAD_SYNTAX
 	MODLOAD FileName
 OPER_MODULE_UNLOAD_SYNTAX
diff --git a/lang/de.l b/lang/de.l
index b14ac8455..dda2e8ba4 100644
--- a/lang/de.l
+++ b/lang/de.l
@@ -2958,6 +2958,10 @@ OPER_MODULE_REMOVE_FAIL
 	Kann Modul %s nicht entfernen
 OPER_MODULE_NO_UNLOAD
 	Modul KANN NICHT entfernt werden.
+OPER_MODULE_ALREADY_LOADED
+	Module %s is already loaded.
+OPER_MODULE_ISNT_LOADED
+	Module %s isn't loaded.
 OPER_MODULE_LOAD_SYNTAX
 	MODLOAD Modul-Name
 OPER_MODULE_UNLOAD_SYNTAX
diff --git a/lang/en_us.l b/lang/en_us.l
index 56faf0575..a7303632b 100644
--- a/lang/en_us.l
+++ b/lang/en_us.l
@@ -2900,6 +2900,10 @@ OPER_MODULE_REMOVE_FAIL
 	Unable to remove module %s
 OPER_MODULE_NO_UNLOAD
 	This module can not be unloaded.
+OPER_MODULE_ALREADY_LOADED
+	Module %s is already loaded.
+OPER_MODULE_ISNT_LOADED
+	Module %s isn't loaded.
 OPER_MODULE_LOAD_SYNTAX
 	MODLOAD FileName
 OPER_MODULE_UNLOAD_SYNTAX
diff --git a/lang/es.l b/lang/es.l
index 1cbaca52f..a79f5fb51 100644
--- a/lang/es.l
+++ b/lang/es.l
@@ -2978,6 +2978,10 @@ OPER_MODULE_REMOVE_FAIL
 	Imposible quitar modulo %s
 OPER_MODULE_NO_UNLOAD
 	This module can not be unloaded.
+OPER_MODULE_ALREADY_LOADED
+	Module %s is already loaded.
+OPER_MODULE_ISNT_LOADED
+	Module %s isn't loaded.
 OPER_MODULE_LOAD_SYNTAX
 	MODLOAD NombreArchivo
 OPER_MODULE_UNLOAD_SYNTAX
diff --git a/lang/fr.l b/lang/fr.l
index 7a45ad525..55f2992a2 100644
--- a/lang/fr.l
+++ b/lang/fr.l
@@ -3032,6 +3032,10 @@ OPER_MODULE_REMOVE_FAIL
 	Impossible de déchager le module %s.
 OPER_MODULE_NO_UNLOAD
 	Ce module ne peux pas etre déchargé.
+OPER_MODULE_ALREADY_LOADED
+	Module %s is already loaded.
+OPER_MODULE_ISNT_LOADED
+	Module %s isn't loaded.
 OPER_MODULE_LOAD_SYNTAX
 	MODLOAD Fichier
 OPER_MODULE_UNLOAD_SYNTAX
diff --git a/lang/gr.l b/lang/gr.l
index 5e8045387..fbcfd8fec 100644
--- a/lang/gr.l
+++ b/lang/gr.l
@@ -3009,6 +3009,10 @@ OPER_MODULE_REMOVE_FAIL
 	Unable to remove module %s
 OPER_MODULE_NO_UNLOAD
 	This module can not be unloaded.
+OPER_MODULE_ALREADY_LOADED
+	Module %s is already loaded.
+OPER_MODULE_ISNT_LOADED
+	Module %s isn't loaded.
 OPER_MODULE_LOAD_SYNTAX
 	MODLOAD FileName
 OPER_MODULE_UNLOAD_SYNTAX
diff --git a/lang/hun.l b/lang/hun.l
index 9b5a2a2dc..eab976a7b 100644
--- a/lang/hun.l
+++ b/lang/hun.l
@@ -2950,6 +2950,10 @@ OPER_MODULE_REMOVE_FAIL
 	Nem sikerült eltávolítani a %s modult
 OPER_MODULE_NO_UNLOAD
 	This module can not be unloaded.
+OPER_MODULE_ALREADY_LOADED
+	Module %s is already loaded.
+OPER_MODULE_ISNT_LOADED
+	Module %s isn't loaded.
 OPER_MODULE_LOAD_SYNTAX
 	MODLOAD Fájlnév
 OPER_MODULE_UNLOAD_SYNTAX
diff --git a/lang/it.l b/lang/it.l
index 8aab2d0d3..7f12eabd2 100644
--- a/lang/it.l
+++ b/lang/it.l
@@ -2906,6 +2906,10 @@ OPER_MODULE_REMOVE_FAIL
 	Impossibile rimuovere il modulo %s
 OPER_MODULE_NO_UNLOAD
 	Questo modulo non può essere rimosso.
+OPER_MODULE_ALREADY_LOADED
+	Module %s is already loaded.
+OPER_MODULE_ISNT_LOADED
+	Module %s isn't loaded.
 OPER_MODULE_LOAD_SYNTAX
 	MODLOAD NomeFile
 OPER_MODULE_UNLOAD_SYNTAX
diff --git a/lang/nl.l b/lang/nl.l
index b7f8c0a14..0a491a981 100644
--- a/lang/nl.l
+++ b/lang/nl.l
@@ -2965,6 +2965,10 @@ OPER_MODULE_REMOVE_FAIL
 	Het verwijderen van module %s is gefaald
 OPER_MODULE_NO_UNLOAD
 	This module can not be unloaded.
+OPER_MODULE_ALREADY_LOADED
+	Module %s is already loaded.
+OPER_MODULE_ISNT_LOADED
+	Module %s isn't loaded.
 OPER_MODULE_LOAD_SYNTAX
 	MODLOAD bestandsnaam
 OPER_MODULE_UNLOAD_SYNTAX
diff --git a/lang/pl.l b/lang/pl.l
index d36181ee9..8fa386d6a 100644
--- a/lang/pl.l
+++ b/lang/pl.l
@@ -3889,6 +3889,12 @@ OPER_MODULE_REMOVE_FAIL
 OPER_MODULE_NO_UNLOAD
 	Ten modu³ nie mo¿e zostaæ wy³adowany.
 
+OPER_MODULE_ALREADY_LOADED
+	Module %s is already loaded.
+
+OPER_MODULE_ISNT_LOADED
+	Module %s isn't loaded.
+
 OPER_MODULE_LOAD_SYNTAX
 	MODLOAD nazwa-pliku
 
diff --git a/lang/pt.l b/lang/pt.l
index c51b4fa40..16c5ba198 100644
--- a/lang/pt.l
+++ b/lang/pt.l
@@ -2926,6 +2926,10 @@ OPER_MODULE_REMOVE_FAIL
 	Impossível remover o módulo %s
 OPER_MODULE_NO_UNLOAD
 	This module can not be unloaded.
+OPER_MODULE_ALREADY_LOADED
+	Module %s is already loaded.
+OPER_MODULE_ISNT_LOADED
+	Module %s isn't loaded.
 OPER_MODULE_LOAD_SYNTAX
 	MODLOAD NomeDoArquivo
 OPER_MODULE_UNLOAD_SYNTAX
diff --git a/lang/ru.l b/lang/ru.l
index c3e1f0f6a..8e1f89b27 100644
--- a/lang/ru.l
+++ b/lang/ru.l
@@ -2896,6 +2896,10 @@ OPER_MODULE_REMOVE_FAIL
 	Íåâîçìîæíî âûãðóçèòü ìîäóëü %s
 OPER_MODULE_NO_UNLOAD
 	Ýòîò ìîäóëü íå ìîæåò áûòü âûãðóæåí.
+OPER_MODULE_ALREADY_LOADED
+	Module %s is already loaded.
+OPER_MODULE_ISNT_LOADED
+	Module %s isn't loaded.
 OPER_MODULE_LOAD_SYNTAX
 	MODLOAD èìÿ_ôàéëà
 OPER_MODULE_UNLOAD_SYNTAX
diff --git a/lang/tr.l b/lang/tr.l
index 6f689f9fe..092b37ece 100644
--- a/lang/tr.l
+++ b/lang/tr.l
@@ -3003,6 +3003,10 @@ OPER_MODULE_REMOVE_FAIL
 	Unable to remove module %s
 OPER_MODULE_NO_UNLOAD
 	This module can not be unloaded.
+OPER_MODULE_ALREADY_LOADED
+	Module %s is already loaded.
+OPER_MODULE_ISNT_LOADED
+	Module %s isn't loaded.
 OPER_MODULE_LOAD_SYNTAX
 	MODLOAD FileName
 OPER_MODULE_UNLOAD_SYNTAX
diff --git a/src/core/os_modload.c b/src/core/os_modload.c
index b363a2db8..65287d4e6 100644
--- a/src/core/os_modload.c
+++ b/src/core/os_modload.c
@@ -29,7 +29,7 @@ class CommandOSModLoad : public Command
 		Module *m = findModule(name);
 		if (m)
 		{
-			notice_lang(s_OperServ, u, OPER_MODULE_LOAD_FAIL, name);
+			notice_lang(s_OperServ, u, OPER_MODULE_ALREADY_LOADED, name);
 			return MOD_CONT;
 		}
 
diff --git a/src/core/os_modunload.c b/src/core/os_modunload.c
index 8b5bf3bf5..13b998a34 100644
--- a/src/core/os_modunload.c
+++ b/src/core/os_modunload.c
@@ -30,7 +30,7 @@ class CommandOSModUnLoad : public Command
 		Module *m = findModule(name);
 		if (!m)
 		{
-			this->OnSyntaxError(u);
+			notice_lang(s_OperServ, u, OPER_MODULE_ISNT_LOADED, name);
 			return MOD_CONT;
 		}
 
